﻿@using StarterProjectV2.Models
@*@model StarterProjectV2.ViewModels.AdditionalFamilyView*@
@model StarterProjectV2.ViewModels.OwnersInfoFamilyNomineeAttFilesView

@{
    ViewBag.Title = "Project Create";
}

@section HEADERJS{
    <script type="text/javascript" src="https://cdn.jsdelivr.net/jquery/1/jquery.min.js"></script>
}
@section FOOTERJS{
    <script src="~/Content/vendors/js/coreui.min.js"></script>
    <script src="~/Content/vendors/js/toastr.min.js"></script>
}
@section PAGETITLE{
   Project Create
}
<body style="background-color: oldlace">
<div class="card">
    <div class="card-body" id="class-body-project">
        <h1 class="text-center" style="color: indianred">Owner's Project Information Form</h1>
        <p class="text-muted"></p>

        @*@using (Html.BeginForm("", "", new { ReturnUrl = ViewBag.ReturnUrl }, FormMethod.Post, new { @class = "form-horizontal", role = "form" }))
            {*@
        <div class="input-group mb-3">
            <label class="col-sm-3 col-lg-2 col-md-3  col-form-label">Project Name</label>
            @Html.TextBoxFor(m => m.OPProjectName, new { @class = "form-control col-sm-3 col-lg-3 col-md-3", placeholder = "Project Name", type = "text", id = "OPProjectName" })

        </div>


        <div class="input-group mb-3">
            <label for="" class="col-sm-3 col-lg-2 col-md-3  col-form-label">Number of Room</label>
            @Html.TextBoxFor(m => m.OPNumberOfRoom, new { @class = "form-control col-sm-3 col-lg-3 col-md-3", placeholder = "NumberOfRoom", type = "text", id = "OPNumberOfRoom" })
            <label class="col-sm-3 col-lg-2 col-md-3  col-form-label">Number of Days</label>
            @Html.TextBoxFor(m => m.OPNumberOfDays, new { @class = "form-control col-sm-3 col-lg-3 col-md-3", placeholder = "NumberOfDays", type = "text", id = "OPNumberOfDays" })

        </div>

        <div class="input-group mb-3">
            <label class="col-sm-3 col-lg-2 col-md-3  col-form-label">Purchase Date</label>
            @Html.TextBoxFor(m => m.OPPurchaseDate,
                new { @class = "form-control col-sm-3 col-lg-3 col-md-3", placeholder = "PurchaseDate", type = "date", id = "OPPurchaseDate" })
        </div>
        <div class="input-group mb-3">
            <label class="col-sm-3 col-lg-2 col-md-3  col-form-label">Sales Amount</label>
            @Html.TextBoxFor(m => m.OPSalesAmount, new { @class = "form-control col-sm-3 col-lg-3 col-md-3", placeholder = "Sale Amount", type = "text", id = "OPSalesAmount" })
            <label class="col-sm-3 col-lg-2 col-md-3  col-form-label">Paid Amount</label>
            @Html.TextBoxFor(m => m.OPPaidAmount, new { @class = "form-control col-sm-3 col-lg-3 col-md-3", placeholder = " Paid Amount", type = "text", id = "OPPaidAmount" })

        </div>
        @Html.HiddenFor(m => m.OPOwnerId)
        <button type="button" class="btn btn-success m-1 but3">Add Installment Information</button>
        <div class="children3">
        </div>


        <div class="row">
            <div>
                <button type="submit" class="btn btn-primary m-1" onclick="retrieveProjects()">Submit</button>
            </div>
            <div>
                <button type="button" class="btn btn-danger m-1">Reset</button>
            </div>
            <div>
                <button type="button" class="btn btn-warning m-1" onclick="goBack()">Back</button>
            </div>
            <div>
                <button type="button" class="btn btn-info m-1 nextbutton" onclick="gotoFamily()">Skip</button>
            </div>
        </div>
        @* } *@
    </div>
</div>
</body>
<script>
    function goBack() {
        window.location.href = "/OwnersInfo/OwnerManagement";
    }
</script>
<script>
    function gotoFamily() {
        window.location.href = "/AdditionalInformation/FamilyCreate?OwnerId=" + '@Model.OPOwnerId';
    }
</script>
<script>
    var fun = function () {
        $('.children3').append('<div><div class="row"><div class="col"><label for="OPPeriod">Time Period</label><input type="text" class="form-control" placeholder="Time Period" name="OPPeriod" id="OPPeriod"></div><div class="col"><label for="OPDate">Date</label><input type="date" class="form-control" placeholder="Date" name="OPDate" id="OPDate"> </div><div class="col"><label for="OPAmount">Amount</label><input type="text" class="form-control " placeholder="Amount" name="OPAmount" id="OPAmount"></div></div></div>');
    }
    $('.but3').click(fun);


    function retrieveProjects() {
        //var values = document.querySelectorAll("#Child-Name");
        var ProjectPeriod = $('input[id="OPPeriod"]').map(function () {
            return this.value;
        }).get();
        //var values = document.getElementById("Child-Name").value;
        //alert(ProjectPeriod);

        var ProjectAmount = $('input[id="OPAmount"]').map(function () {
            return this.value;
        }).get();
        //var values = document.getElementById("Child-Name").value;
        //alert(ProjectAmount);

        var ProjectDate = $('input[id="OPDate"]').map(function () {
            return this.value;
        }).get();
        //var values = document.getElementById("Child-Name").value;
        //alert(ProjectDate);

        var ownerProjectId = '@Model.OPOwnerId';
        //alert(ownerProjectId);
        var myModel = {
            ProjectName: $('#OPProjectName').val(),
            NumberOfRoom: $('#OPNumberOfRoom').val(),
            NumberOfDays: $('#OPNumberOfDays').val(),
            PurchaseDate: $('#OPPurchaseDate').val(),
            SalesAmount: $('#OPSalesAmount').val(),
            PaidAmount: $('#OPPaidAmount').val(),
            OwnerId: ownerProjectId,


            PeriodArray: ProjectPeriod,
            AmountArray: ProjectAmount,
            DateArray: ProjectDate
        };

        //alert(myModel);
        $.ajax({
            context: this,
            type: 'post',
            url: '../AdditionalInformation/gettingOwnerProjectInfo/',
            data: myModel,
            success: function (result) {
                //alert(myModel.ProjectName);
                //alert(myModel.PartialUserDetailsViewModels);
                window.location.href = "/AdditionalInformation/FamilyCreate?OwnerId=" + ownerProjectId;

            },
            error: function () {
                //error();
            }
        });

    }
</script>